IOSS 2.0

Static Public Attributes | List of all members
anonymous_namespace{Ioss_Hex16.C}::Constants Struct Reference

## Static Public Attributes
static const int | nnode = 16
static const int | nedge = 12
static const int | nedgenode = 3
static const int | nface = 6
static const int | nfacenode = 8
static const int | nfaceedge = 4
static int | edge_node_order [nedge][nedgenode]
static int | face_node_order [nface][nfacenode]
static int | face_edge_order [nface][nfaceedge]
static int | nodes_per_face [nface+1] = {-1, 6, 6, 6, 6, 8, 8}
static int | edges_per_face [nface+1] = {4, 4, 4, 4, 4, 4, 4}

## Member Data Documentation

## ◆ edge_node_order

int anonymous_namespace{Ioss_Hex16.C}::Constants::edge_node_order
| static

Initial value:
=
{{0, 1, 8}, {1, 2, 9}, {2, 3, 10}, {3, 0, 11}, {4, 5, 12}, {5, 6, 13},
{6, 7, 14}, {7, 4, 15}, {0, 4, -1}, {1, 5, -1}, {2, 6, -1}, {3, 7, -1}}

## ◆ edges_per_face

int anonymous_namespace{Ioss_Hex16.C}::Constants::edges_per_face = {4, 4, 4, 4, 4, 4, 4}
| static

## ◆ face_edge_order

int anonymous_namespace{Ioss_Hex16.C}::Constants::face_edge_order
| static

Initial value:
=
{{0, 9, 4, 8}, {1, 10, 5, 9}, {2, 11, 6, 10}, {3, 8, 7, 11}, {3, 2, 1, 0}, {4, 5, 6, 7}}

## ◆ face_node_order

int anonymous_namespace{Ioss_Hex16.C}::Constants::face_node_order
| static

Initial value:
=
{{0, 1, 5, 4, 8, 12, -1, -1}, {1, 2, 6, 5, 9, 13, -1, -1}, {2, 3, 7, 6, 10, 14, -1, -1},
{3, 0, 4, 7, 3, 11, 15, -1}, {0, 3, 2, 1, 11, 10, 9, 8}, {4, 5, 6, 7, 12, 13, 14, 15}}

## ◆ nedge

const int anonymous_namespace{Ioss_Hex16.C}::Constants::nedge = 12
| static

## ◆ nedgenode

const int anonymous_namespace{Ioss_Hex16.C}::Constants::nedgenode = 3
| static

## ◆ nface

const int anonymous_namespace{Ioss_Hex16.C}::Constants::nface = 6
| static

## ◆ nfaceedge

const int anonymous_namespace{Ioss_Hex16.C}::Constants::nfaceedge = 4
| static

## ◆ nfacenode

const int anonymous_namespace{Ioss_Hex16.C}::Constants::nfacenode = 8
| static

## ◆ nnode

const int anonymous_namespace{Ioss_Hex16.C}::Constants::nnode = 16
| static

## ◆ nodes_per_face

int anonymous_namespace{Ioss_Hex16.C}::Constants::nodes_per_face = {-1, 6, 6, 6, 6, 8, 8}
| static

The documentation for this struct was generated from the following file:

- src/Ioss_Hex16.C